package jp.sourceforge.shovel.form.impl;

import org.apache.struts.upload.FormFile;
import org.seasar.struts.annotation.tiger.StrutsActionForm;

import jp.sourceforge.shovel.form.IDesignForm;

@StrutsActionForm(name = "designForm")
public class DesignFormImpl implements IDesignForm {
    boolean defaultDesign_;
    boolean destroyFile_;
    FormFile file_;
    boolean tile_;
    String backgroundColor_;
    String color_;
    String nameColor_;
    String linkColor_;
    String sidebarBackgroundColor_;
    String sidebarFrameColor_;
    
    public boolean isDefaultDesign() {
        return defaultDesign_;
    }
    public void setDefaultDesign(boolean defaultDesign) {
        defaultDesign_ = defaultDesign;
    }
    public boolean isDestroyFile() {
        return destroyFile_;
    }
    public void setDestroyFile(boolean destroyFile) {
        destroyFile_ = destroyFile;
    }
    public FormFile getFile() {
        return file_;
    }
    public void setFile(FormFile file) {
        file_ = file;
    }
    public boolean isTile() {
        return tile_;
    }
    public void setTile(boolean tile) {
        tile_ = tile;
    }
    public String getBackgroundColor() {
        return backgroundColor_ == null ? "" : backgroundColor_;
    }
    public void setBackgroundColor(String backgroundColor) {
        backgroundColor_ = backgroundColor;
    }
    public String getColor() {
        return color_ == null ? "" : color_;
    }
    public void setColor(String color) {
        color_ = color;
    }
    public String getNameColor() {
        return nameColor_ == null ? "" : nameColor_;
    }
    public void setNameColor(String nameColor) {
        nameColor_ = nameColor;
    }
    public String getLinkColor() {
        return linkColor_ == null ? "" : linkColor_;
    }
    public void setLinkColor(String linkColor) {
        linkColor_ = linkColor;
    }
    public String getSidebarBackgroundColor() {
        return sidebarBackgroundColor_ == null ? "" : sidebarBackgroundColor_;
    }
    public void setSidebarBackgroundColor(String sidebarBackgroundColor) {
        sidebarBackgroundColor_ = sidebarBackgroundColor;
    }
    public String getSidebarFrameColor() {
        return sidebarFrameColor_ == null ? "" : sidebarFrameColor_;
    }
    public void setSidebarFrameColor(String sidebarFrameColor) {
        sidebarFrameColor_ = sidebarFrameColor;
    }
}
